Skip to main content
POST
/
v1
/
customers
/
{customer_id}
/
transaction
Create transaction
curl --request POST \
  --url https://api.example.com/v1/customers/{customer_id}/transaction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "destination_currency": {
    "currency": "<string>",
    "amount": "<string>"
  },
  "source_currency": {
    "currency": "<string>",
    "amount": "<string>"
  },
  "channel": "<string>",
  "recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "scheduled_date": 123,
  "assignees": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
import requests

url = "https://api.example.com/v1/customers/{customer_id}/transaction"

payload = {
"sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination_currency": {
"currency": "<string>",
"amount": "<string>"
},
"source_currency": {
"currency": "<string>",
"amount": "<string>"
},
"channel": "<string>",
"recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"scheduled_date": 123,
"assignees": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sender_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destination_currency: {currency: '<string>', amount: '<string>'},
source_currency: {currency: '<string>', amount: '<string>'},
channel: '<string>',
recipient_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
scheduled_date: 123,
assignees: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};

fetch('https://api.example.com/v1/customers/{customer_id}/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "recipient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "recipient_name": "<string>",
  "recipient": {},
  "sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sender_name": "<string>",
  "destination_currency": {
    "currency": "<string>",
    "amount": "<string>"
  },
  "source_currency": {
    "currency": "<string>",
    "amount": "<string>"
  },
  "channel": "<string>",
  "tariff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fee": "<string>",
  "tax": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z"
}
{
"code": "transactions.invalid_transaction_data",
"message": "Invalid transaction data"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string<uuid>
required

Body

application/json
recipient_type
enum<string>
required
Available options:
recipient,
account
sender_id
string<uuid>
required
sender_type
enum<string>
required
Available options:
recipient,
account
destination_currency
object
required
source_currency
object
required
channel
string
required
recipient_id
string<uuid>
description
string
scheduled_date
integer<int64>
assignees
string<uuid>[]

Response

Transaction created successfully

id
string<uuid>
recipient_id
string<uuid>
recipient_name
string
recipient_type
enum<string>
Available options:
recipient,
account
recipient
object
sender_id
string<uuid>
sender_name
string
sender_type
enum<string>
Available options:
recipient,
account
destination_currency
object
source_currency
object
status
enum<string>
Available options:
waiting-for-signature,
pending,
in-progress,
completed,
cancelled,
failed,
suspended
channel
string
tariff_id
string<uuid>
task_id
string<uuid>
customer_id
string<uuid>
fee
string
tax
string
type
enum<string>
Available options:
iwt,
owt,
int
created_at
string<date-time>
modified_at
string<date-time>